Bug 183134 - Error code 1 when try to built editors/openoffice-4
Summary: Error code 1 when try to built editors/openoffice-4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: FreeBSD Office Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-21 00:20 UTC by lumiwa
Modified: 2014-02-03 02:54 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description lumiwa 2013-10-21 00:20:01 UTC
I did try to build Openoffice-4 from ports and I got an error:

1 module(s): 
	nss
need(s) to be rebuilt

Reason(s):

ERROR: error 65280 occurred while making /usr/ports/editors/openoffice-4/work/aoo-4.0.1/main/nss

When you have fixed the errors in that module you can resume the build by running:

	build --from nss

*** Error code 1

Stop.
make[1]: stopped in /usr/ports/editors/openoffice-4
*** Error code 1

Stop.
make: stopped in /usr/ports/editors/openoffice-4

===>>> make failed for editors/openoffice-4
===>>> Aborting update

How-To-Repeat: Try to rebuilt again...
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2013-10-27 22:12:02 UTC
Responsible Changed
From-To: freebsd-amd64->office

make this a ports PR and assign.
Comment 2 c.kworr 2013-11-17 12:44:31 UTC
Hi all.

I'll be more specific:

gmake[4]: Entering directory 
`/tmp/ports/usr/ports/editors/openoffice-4/work/aoo-4.0.1/main/nss/unxfbsdx.pro/misc/build/nss-3.12.6/mozilla/security/coreconf/nsinstall'
gcc -o out/nsinstall.o -c -O -fPIC -ansi -Wall -Wno-switch -DFREEBSD 
-DHAVE_STRERROR -DHAVE_BSD_FLOCK -DXP_UNIX -UDEBUG -DNDEBUG 
-D_THREAD_SAFE -D_REENTRANT -DUSE_UTIL_DIRECTLY -I/usr/X11R6/include 
-I../../../dist/out/include -I../../../dist/public/coreconf 
-I../../../dist/private/coreconf  nsinstall.c
gmake[4]: gcc: Command not found
gmake[4]: *** [out/nsinstall.o] Error 127
gmake[4]: Leaving directory 
`/tmp/ports/usr/ports/editors/openoffice-4/work/aoo-4.0.1/main/nss/unxfbsdx.pro/misc/build/nss-3.12.6/mozilla/security/coreconf/nsinstall'
gmake[3]: *** [libs] Error 2
gmake[3]: Leaving directory 
`/tmp/ports/usr/ports/editors/openoffice-4/work/aoo-4.0.1/main/nss/unxfbsdx.pro/misc/build/nss-3.12.6/mozilla/security/coreconf'
gmake[2]: *** [build_coreconf] Error 2
gmake[2]: Leaving directory 
`/tmp/ports/usr/ports/editors/openoffice-4/work/aoo-4.0.1/main/nss/unxfbsdx.pro/misc/build/nss-3.12.6/mozilla/security/nss'
dmake:  Error code 2, while making './unxfbsdx.pro/misc/build/so_built_nss'

USE_GCC=any doesn't implies that gcc is installed. On 10 this can be 
lang/gcc which is actually gcc46.

-- 
Sphinx of black quartz judge my vow.
Comment 3 George 2013-12-07 05:21:19 UTC
So is it any way to install openoffice? It needs lang/gcc46? Or USE_GCC=any in make.conf?
Comment 4 Matthias Petermann 2013-12-10 14:09:06 UTC
Hello,

ultimately, editors/openoffice-4 does build with

   USE_GCC=4.6+

set into /etc/make.conf, with one exection - at the particular point 
Volodymyr mentions it still breaks with:

   gmake[4]: gcc: Command not found
   gmake[4]: *** [out/nsinstall.o] Error 127
   gmake[4]: Leaving directory

I had to fix this temporarely by creating a symlink "gcc" pointing to 
"gcc46" in /usr/local/bin. Seems like OOo build doesn't respect the 
environment settings completely. This likely requires a patch within the 
openoffice-4 port?

Kind regards,
Matthias

-- 
Matthias Petermann <matthias@petermann-it.de> | www.petermann-it.de
GnuPG: 0x5C3E6D75 | 5930 86EF 7965 2BBA 6572  C3D7 7B1D A3C3 5C3E 6D75
Comment 5 Volodymyr Kostyrko 2014-01-30 16:55:46 UTC
Looks like this one is probably fixed. Can you please test again?
-- 
Sphinx of black quartz, judge my vow.
Comment 6 Maho Nakata freebsd_committer 2014-02-03 02:53:02 UTC
State Changed
From-To: open->closed

Fixed as ports/185401 is fixed